Processing: Add PyGeoprocessing

2015-06-04 01:02 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 20961

Description

Link1: 

https://pypi.python.org/pypi/pygeoprocessing?utm_source=May+2015+Newsletter&#38;utm_campaign=NatCap+Newsletter&#38;utm_

edium=email

Link2: 

http://www.naturalcapitalproject.org/interview_nirmal_bhagabati_and_pygeoprocessing.html?utm_source=May+2015+Newsletter&#38;

tm_campaign=NatCap+Newsletter&#38;utm_medium=email

PyGeoprocessing is a Python/Cython based library that provides a set of commonly

used raster, vector, and hydrological operations for GIS processing. Similar

functionality can be found in ArcGIS/QGIS raster algebra, ArcGIS zonal

statistics, and ArcGIS/GRASS/TauDEM hydrological routing routines.

PyGeoprocessing was developed at the Natural Capital Project to create a

programmable, open source, and free GIS processing library to support the

ecosystem service software InVEST. PyGeoprocessing's design prioritizes

computation and memory efficient runtimes, easy installation and cross

compatibility with other open source and proprietary software licenses, and a

simplified set of orthogonal GIS processing routines that interact with GIS data

via filename. Specifically the functionally provided by PyGeoprocessing includes

    -  programmable raster algebra routine (vectorize_datasets)

    -  routines for simplified raster creation and statistics

    -  integration with vector based geometry in many of the routines

    -  a simplified hydrological routing library including,

    -  d-infinity flow direction

    -  support for plateau drainage

    -  weighted and unweighted flow accumulation

    -  and weighted and unweighted flow distance

Dependencies include

    -  cython>=0.20.2

    -  numpy>=1.8.2

    -  scipy>=0.13.3

    -  shapely>=1.3.3

    -  gdal>=1.10.1

History

#1 - 2015-06-07 04:05 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-06-29 08:58 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

- Description updated

I think this report should be closed - we're moving away from including providers by default and leaving their implementation to plugin authors. Therefore

this needs to be fixed by someone willing to develop a plugin, not within QGIS itself.
